=== debian/changelog ===
qteachme (0.1) unstable; urgency=low

  * Initial Release.

 -- unknown <lundgrem@unknown>  Fri, 19 Feb 2010 22:31:55 +0800
