## qteachme 0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/qteachme
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Mar 11 07:58:57 2010
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Mar 13 08:16:46 2010
 # Project:  qteachme.pro
 # Template: app
 # Command: c:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/qmake.exe -unix -o Makefile qteachme.pro
